.swiper-element {
    --swiper-navigation-size: 36px;
    --swiper-buttons-color: var(--wp--preset--color--black);
    position: relative;

    .swiper-button-next,
    .swiper-button-prev {
        width: var(--swiper-navigation-size);
        height: var(--swiper-navigation-size);
        margin-top: calc(0px - (var(--swiper-navigation-size)/ 2));
        border: 1px solid var(--swiper-buttons-color);
        color: var(--swiper-buttons-color);
        background-color: var(--wp--preset--color--white);
        &:after {
            font-family: '#{$icomoon-font-family}' !important;
            content: $icon-right-arrow; 
            font-size: 25px;
        }

        &:hover, &:focus {
            background-color: var(--swiper-buttons-color);
            color: var(--wp--preset--color--white);
        }
    }

    .swiper-button-prev {
        left: -23px;
        &:after {
            transform: rotate(-180deg);
        }
    }

    .swiper-button-next {
        right: -23px;
    }
}

.post-gallery {
    .swiper-wrapper {
        align-items: center;
    }
}
.gallery-modal {
    .modal__container {
        padding: 2rem;
        min-height: 1px;
        min-width: 1px;
        
        //width: 90vw;
        //max-width: var(--wp--custom--full-size);
    }
    .swiper, .swiper-wrapper, .swiper-slide {
        height: auto;
        max-height: 100%;
    }
    .swiper-element {
        padding: 0;
        margin: 0 auto;

        width: 100%;
        max-width: 85%;
        //margin: var(--wp--custom--xxl-spacing) auto 0 auto;
    }

    .swiper-slide {
        text-align: center;
        max-height: 70vh;
        img {
            max-height: 100%;
            width: auto;
        }
    }

    @include breakpoint(sm, true) {
        .modal__container {
            width: 95vw;
            height: auto;
            padding: var(--wp--custom--m-spacing);
        }
        .swiper-button-prev {
            left: 0;
            bottom: var(--wp--custom--xl-spacing);
            top: auto;
        }
        .swiper-button-next {
            right: 0;
            bottom: var(--wp--custom--xl-spacing);
            top: auto;
        }
    }
    
}

.has-blue-2-d-background-color {
    .swiper-element {
        --swiper-buttons-color: var(--wp--preset--color--blue-2-a);
    }
}
.has-grey-000-background-color {
    .swiper-element {
        --swiper-buttons-color: var(--wp--preset--color--black);
    }
}

.swiper-element {
    ol.practices-list {
        li {

            &.has-icon {
                line-height: 27px;
            }

            &.difficulty-group {
                span.button {
                    display: inline-block;
                    max-width: 28px;
                }
            }

            .icon {
                margin-left: 0;
            }
        }
    }
}